KJL - Feature #2820

Field Posisi Stock di Purchase Requisition ingin otomatis
06/24/2024 01:55 PM - haykal haykal

Status: Closed Start date: 06/24/2024
Priority: Normal Due date: 07/01/2024
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Shofwan,

Setelah user memilih Nama Barang, ingin agar field Posisi Stock otomatis terisi dengan quantity stock barang tersebut pada saat itu
(Mengambil dari Tabel PMDMATO0004).

Terimakasih.
Menu Path: Logistic & Service > Purchasing > Purchase Requisition

Port: http://remote.minovais.com:61138/
DB: MinovaES_KJL_Prod

History

#1 - 06/25/2024 05:01 PM - Kezia Pawitra Yulianti
- Due date set to 07/01/2024

- Status changed from New to Assigned

#2 - 06/26/2024 04:48 PM - shofwan shiddiq

- File clipboard-202406261647-hqrsg.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal
Document Detail

Purchase Item Other Cost Notes

©Q Add T Delete

@ Financial Accounting

@ Master Data

B Sales Management Nama Barang Posisi Stock  Estimasi Pemakaian Quantity ETA  Supplier Unit Harga Satuan Total Amount Currer
17 Homopolymer - BIOFLEX F " 840.00 0 " Holland Colour Asia " 0.00
Permintaan Barang
Purchase Order
B Purchase Report
B Inventory Document
B Production Management
B Asset Management
W Reporting
»
Quantity: 0.00
Total Amount: 0.00
Total Item: 0

Sudah autoload ya Posisi Stock nya
UPDATE

Table = SDATATABLEFIELD > TableName = PTRPURCHITEM > FieldName = Material
http://remote.minovais.com:61138/

Update SelectFunction

var store = Ext.StoreMgr.lookup("storePTRPURCHITEM");
if (store = undefined) {

var idx = store.getCount() - 1;

var materiallD = val.value;

Ext.Ajax.request({

async: false,

method: 'POST',

url: '/UserControl/GetStore’',

params: {

tableName: 'PMDMATO0003',

param: 'MateriallD[=]' + materiallD

|3

success: function (response) {

var results = Ext.decode(response.responseText);
dtgrid = results.data;

1

D;

var max;
for (var i = 0; i < dtgrid.length; i++) {
if (!'max || parselnt (dtgrid[i] ["SeqgID"])
max = dtgrid[il];
}
if (max != undefined) {

> parselnt (max["SeqID"]))

store.getAt (idx) .set ('PriceAmount’', max.PurchasePrice);

store.getAt (idx) .set ('Discount', max.Discount);

} else {

store.getAt (idx) .set ('PriceAmount’', map);

store.getAt (idx) .set ('Discount', 0);

// Set Unit Transaction
var map;
var unitmasurement;
Ext.Ajax.request ({
async: false,
method: 'POST',
url: '/UserControl/GetStore',

params: {
tableName: 'PMDMATO00OL1',
param: 'MaterialID[=]' + materiallD

o

success: function (response) {

var results = Ext.decode (response.responseText);

dtgridl = results.data;

}) i

var unitM;
try {
unitM = dtgridl[0].UnitMeasurement;
}

catch(err) {

store.getAt (idx) .set ('UnitTransaction', '1');

}

store.getAt (idx) .set ('UnitTransaction', unitM);

// Set Supplier
Ext.Ajax.request ({
async: false,
method: 'POST',
url: '/UserControl/GetStore',

params: {
tableName: 'PMDVENQ00O2',
param: 'MaterialID[=]' + materiallD

o

success: function (response) {

var results2 = Ext.decode (response.responseText);

dtgrid2 = results2.data;

}) i

var supplier;
try |

supplier = dtgrid2[0].VendorID;

}

catch(err) {
store.getAt (idx) .set ('Supplier’',
}

F

store.getAt (idx) .set ('Supplier', supplier);
// Set Posisi Stock
Ext.Ajax.request ({
async: false,
method: 'POST',
url: '/UserControl/GetStore',
params: {
tableName: 'PMDMAT0004',
param: 'MaterialID[=]' + materiallD

o

success: function (response)

{

var results3 = Ext.decode (response.responseText);

dtgrid3 = results3.data;

}) i

var posisiStock;
try {

posisiStock = dtgrid3[0].0Qty;

}

catch(err) {

store.getAt (idx) .set ('StockPosition', '');

}

store.getAt (idx) .set ('StockPosition', posisiStock);

#3 - 06/26/2024 05:16 PM - haykal haykal
- Status changed from QA Test to Closed
